Merge branch 'master' of https://github.com/lucat/leqm-nrt
[leqm-nrt.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = { \
19   if test -z '$(MAKELEVEL)'; then \
20     false; \
21   elif test -n '$(MAKE_HOST)'; then \
22     true; \
23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24     true; \
25   else \
26     false; \
27   fi; \
28 }
29 am__make_running_with_option = \
30   case $${target_option-} in \
31       ?) ;; \
32       *) echo "am__make_running_with_option: internal error: invalid" \
33               "target option '$${target_option-}' specified" >&2; \
34          exit 1;; \
35   esac; \
36   has_opt=no; \
37   sane_makeflags=$$MAKEFLAGS; \
38   if $(am__is_gnu_make); then \
39     sane_makeflags=$$MFLAGS; \
40   else \
41     case $$MAKEFLAGS in \
42       *\\[\ \   ]*) \
43         bs=\\; \
44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46     esac; \
47   fi; \
48   skip_next=no; \
49   strip_trailopt () \
50   { \
51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52   }; \
53   for flg in $$sane_makeflags; do \
54     test $$skip_next = yes && { skip_next=no; continue; }; \
55     case $$flg in \
56       *=*|--*) continue;; \
57         -*I) strip_trailopt 'I'; skip_next=yes;; \
58       -*I?*) strip_trailopt 'I';; \
59         -*O) strip_trailopt 'O'; skip_next=yes;; \
60       -*O?*) strip_trailopt 'O';; \
61         -*l) strip_trailopt 'l'; skip_next=yes;; \
62       -*l?*) strip_trailopt 'l';; \
63       -[dEDm]) skip_next=yes;; \
64       -[JT]) skip_next=yes;; \
65     esac; \
66     case $$flg in \
67       *$$target_option*) has_opt=yes; break;; \
68     esac; \
69   done; \
70   test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/@PACKAGE@
74 pkgincludedir = $(includedir)/@PACKAGE@
75 pkglibdir = $(libdir)/@PACKAGE@
76 pkglibexecdir = $(libexecdir)/@PACKAGE@
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 subdir = .
90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93         $(ACLOCAL_M4)
94 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95         $(am__configure_deps) $(dist_doc_DATA) $(am__DIST_COMMON)
96 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97  configure.lineno config.status.lineno
98 mkinstalldirs = $(install_sh) -d
99 CONFIG_HEADER = config.h
100 CONFIG_CLEAN_FILES =
101 CONFIG_CLEAN_VPATH_FILES =
102 AM_V_P = $(am__v_P_@AM_V@)
103 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104 am__v_P_0 = false
105 am__v_P_1 = :
106 AM_V_GEN = $(am__v_GEN_@AM_V@)
107 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108 am__v_GEN_0 = @echo "  GEN     " $@;
109 am__v_GEN_1 = 
110 AM_V_at = $(am__v_at_@AM_V@)
111 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
112 am__v_at_0 = @
113 am__v_at_1 = 
114 SOURCES =
115 DIST_SOURCES =
116 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117         ctags-recursive dvi-recursive html-recursive info-recursive \
118         install-data-recursive install-dvi-recursive \
119         install-exec-recursive install-html-recursive \
120         install-info-recursive install-pdf-recursive \
121         install-ps-recursive install-recursive installcheck-recursive \
122         installdirs-recursive pdf-recursive ps-recursive \
123         tags-recursive uninstall-recursive
124 am__can_run_installinfo = \
125   case $$AM_UPDATE_INFO_DIR in \
126     n|no|NO) false;; \
127     *) (install-info --version) >/dev/null 2>&1;; \
128   esac
129 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
130 am__vpath_adj = case $$p in \
131     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
132     *) f=$$p;; \
133   esac;
134 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
135 am__install_max = 40
136 am__nobase_strip_setup = \
137   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
138 am__nobase_strip = \
139   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
140 am__nobase_list = $(am__nobase_strip_setup); \
141   for p in $$list; do echo "$$p $$p"; done | \
142   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
143   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
144     if (++n[$$2] == $(am__install_max)) \
145       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
146     END { for (dir in files) print dir, files[dir] }'
147 am__base_list = \
148   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
149   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
150 am__uninstall_files_from_dir = { \
151   test -z "$$files" \
152     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
153     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
154          $(am__cd) "$$dir" && rm -f $$files; }; \
155   }
156 am__installdirs = "$(DESTDIR)$(docdir)"
157 DATA = $(dist_doc_DATA)
158 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
159   distclean-recursive maintainer-clean-recursive
160 am__recursive_targets = \
161   $(RECURSIVE_TARGETS) \
162   $(RECURSIVE_CLEAN_TARGETS) \
163   $(am__extra_recursive_targets)
164 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
165         cscope distdir dist dist-all distcheck
166 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
167         $(LISP)config.h.in
168 # Read a list of newline-separated strings from the standard input,
169 # and print each of them once, without duplicates.  Input order is
170 # *not* preserved.
171 am__uniquify_input = $(AWK) '\
172   BEGIN { nonempty = 0; } \
173   { items[$$0] = 1; nonempty = 1; } \
174   END { if (nonempty) { for (i in items) print i; }; } \
175 '
176 # Make sure the list of sources is unique.  This is necessary because,
177 # e.g., the same source file might be shared among _SOURCES variables
178 # for different programs/libraries.
179 am__define_uniq_tagged_files = \
180   list='$(am__tagged_files)'; \
181   unique=`for i in $$list; do \
182     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
183   done | $(am__uniquify_input)`
184 ETAGS = etags
185 CTAGS = ctags
186 CSCOPE = cscope
187 DIST_SUBDIRS = $(SUBDIRS)
188 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in compile \
189         depcomp install-sh missing
190 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
191 distdir = $(PACKAGE)-$(VERSION)
192 top_distdir = $(distdir)
193 am__remove_distdir = \
194   if test -d "$(distdir)"; then \
195     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
196       && rm -rf "$(distdir)" \
197       || { sleep 5 && rm -rf "$(distdir)"; }; \
198   else :; fi
199 am__post_remove_distdir = $(am__remove_distdir)
200 am__relativize = \
201   dir0=`pwd`; \
202   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
203   sed_rest='s,^[^/]*/*,,'; \
204   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
205   sed_butlast='s,/*[^/]*$$,,'; \
206   while test -n "$$dir1"; do \
207     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
208     if test "$$first" != "."; then \
209       if test "$$first" = ".."; then \
210         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
211         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
212       else \
213         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
214         if test "$$first2" = "$$first"; then \
215           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
216         else \
217           dir2="../$$dir2"; \
218         fi; \
219         dir0="$$dir0"/"$$first"; \
220       fi; \
221     fi; \
222     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
223   done; \
224   reldir="$$dir2"
225 DIST_ARCHIVES = $(distdir).tar.gz
226 GZIP_ENV = --best
227 DIST_TARGETS = dist-gzip
228 distuninstallcheck_listfiles = find . -type f -print
229 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
230   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
231 distcleancheck_listfiles = find . -type f -print
232 ACLOCAL = @ACLOCAL@
233 AMTAR = @AMTAR@
234 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
235 AUTOCONF = @AUTOCONF@
236 AUTOHEADER = @AUTOHEADER@
237 AUTOMAKE = @AUTOMAKE@
238 AWK = @AWK@
239 CC = @CC@
240 CCDEPMODE = @CCDEPMODE@
241 CFLAGS = @CFLAGS@
242 CPP = @CPP@
243 CPPFLAGS = @CPPFLAGS@
244 CYGPATH_W = @CYGPATH_W@
245 DEFS = @DEFS@
246 DEPDIR = @DEPDIR@
247 ECHO_C = @ECHO_C@
248 ECHO_N = @ECHO_N@
249 ECHO_T = @ECHO_T@
250 EGREP = @EGREP@
251 EXEEXT = @EXEEXT@
252 GREP = @GREP@
253 INSTALL = @INSTALL@
254 INSTALL_DATA = @INSTALL_DATA@
255 INSTALL_PROGRAM = @INSTALL_PROGRAM@
256 INSTALL_SCRIPT = @INSTALL_SCRIPT@
257 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
258 LDFLAGS = @LDFLAGS@
259 LIBOBJS = @LIBOBJS@
260 LIBS = @LIBS@
261 LTLIBOBJS = @LTLIBOBJS@
262 MAKEINFO = @MAKEINFO@
263 MKDIR_P = @MKDIR_P@
264 OBJEXT = @OBJEXT@
265 PACKAGE = @PACKAGE@
266 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
267 PACKAGE_NAME = @PACKAGE_NAME@
268 PACKAGE_STRING = @PACKAGE_STRING@
269 PACKAGE_TARNAME = @PACKAGE_TARNAME@
270 PACKAGE_URL = @PACKAGE_URL@
271 PACKAGE_VERSION = @PACKAGE_VERSION@
272 PATH_SEPARATOR = @PATH_SEPARATOR@
273 SET_MAKE = @SET_MAKE@
274 SHELL = @SHELL@
275 STRIP = @STRIP@
276 VERSION = @VERSION@
277 abs_builddir = @abs_builddir@
278 abs_srcdir = @abs_srcdir@
279 abs_top_builddir = @abs_top_builddir@
280 abs_top_srcdir = @abs_top_srcdir@
281 ac_ct_CC = @ac_ct_CC@
282 am__include = @am__include@
283 am__leading_dot = @am__leading_dot@
284 am__quote = @am__quote@
285 am__tar = @am__tar@
286 am__untar = @am__untar@
287 bindir = @bindir@
288 build_alias = @build_alias@
289 builddir = @builddir@
290 datadir = @datadir@
291 datarootdir = @datarootdir@
292 docdir = @docdir@
293 dvidir = @dvidir@
294 exec_prefix = @exec_prefix@
295 host_alias = @host_alias@
296 htmldir = @htmldir@
297 includedir = @includedir@
298 infodir = @infodir@
299 install_sh = @install_sh@
300 libdir = @libdir@
301 libexecdir = @libexecdir@
302 localedir = @localedir@
303 localstatedir = @localstatedir@
304 mandir = @mandir@
305 mkdir_p = @mkdir_p@
306 oldincludedir = @oldincludedir@
307 pdfdir = @pdfdir@
308 prefix = @prefix@
309 program_transform_name = @program_transform_name@
310 psdir = @psdir@
311 sbindir = @sbindir@
312 sharedstatedir = @sharedstatedir@
313 srcdir = @srcdir@
314 sysconfdir = @sysconfdir@
315 target_alias = @target_alias@
316 top_build_prefix = @top_build_prefix@
317 top_builddir = @top_builddir@
318 top_srcdir = @top_srcdir@
319 SUBDIRS = src
320 dist_doc_DATA = README.md
321 all: config.h
322         $(MAKE) $(AM_MAKEFLAGS) all-recursive
323
324 .SUFFIXES:
325 am--refresh: Makefile
326         @:
327 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
328         @for dep in $?; do \
329           case '$(am__configure_deps)' in \
330             *$$dep*) \
331               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
332               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
333                 && exit 0; \
334               exit 1;; \
335           esac; \
336         done; \
337         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
338         $(am__cd) $(top_srcdir) && \
339           $(AUTOMAKE) --foreign Makefile
340 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
341         @case '$?' in \
342           *config.status*) \
343             echo ' $(SHELL) ./config.status'; \
344             $(SHELL) ./config.status;; \
345           *) \
346             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
347             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
348         esac;
349
350 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
351         $(SHELL) ./config.status --recheck
352
353 $(top_srcdir)/configure:  $(am__configure_deps)
354         $(am__cd) $(srcdir) && $(AUTOCONF)
355 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
356         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
357 $(am__aclocal_m4_deps):
358
359 config.h: stamp-h1
360         @test -f $@ || rm -f stamp-h1
361         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
362
363 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
364         @rm -f stamp-h1
365         cd $(top_builddir) && $(SHELL) ./config.status config.h
366 $(srcdir)/config.h.in:  $(am__configure_deps) 
367         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
368         rm -f stamp-h1
369         touch $@
370
371 distclean-hdr:
372         -rm -f config.h stamp-h1
373 install-dist_docDATA: $(dist_doc_DATA)
374         @$(NORMAL_INSTALL)
375         @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
376         if test -n "$$list"; then \
377           echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
378           $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
379         fi; \
380         for p in $$list; do \
381           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
382           echo "$$d$$p"; \
383         done | $(am__base_list) | \
384         while read files; do \
385           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
386           $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
387         done
388
389 uninstall-dist_docDATA:
390         @$(NORMAL_UNINSTALL)
391         @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
392         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
393         dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
394
395 # This directory's subdirectories are mostly independent; you can cd
396 # into them and run 'make' without going through this Makefile.
397 # To change the values of 'make' variables: instead of editing Makefiles,
398 # (1) if the variable is set in 'config.status', edit 'config.status'
399 #     (which will cause the Makefiles to be regenerated when you run 'make');
400 # (2) otherwise, pass the desired values on the 'make' command line.
401 $(am__recursive_targets):
402         @fail=; \
403         if $(am__make_keepgoing); then \
404           failcom='fail=yes'; \
405         else \
406           failcom='exit 1'; \
407         fi; \
408         dot_seen=no; \
409         target=`echo $@ | sed s/-recursive//`; \
410         case "$@" in \
411           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
412           *) list='$(SUBDIRS)' ;; \
413         esac; \
414         for subdir in $$list; do \
415           echo "Making $$target in $$subdir"; \
416           if test "$$subdir" = "."; then \
417             dot_seen=yes; \
418             local_target="$$target-am"; \
419           else \
420             local_target="$$target"; \
421           fi; \
422           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
423           || eval $$failcom; \
424         done; \
425         if test "$$dot_seen" = "no"; then \
426           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
427         fi; test -z "$$fail"
428
429 ID: $(am__tagged_files)
430         $(am__define_uniq_tagged_files); mkid -fID $$unique
431 tags: tags-recursive
432 TAGS: tags
433
434 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
435         set x; \
436         here=`pwd`; \
437         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
438           include_option=--etags-include; \
439           empty_fix=.; \
440         else \
441           include_option=--include; \
442           empty_fix=; \
443         fi; \
444         list='$(SUBDIRS)'; for subdir in $$list; do \
445           if test "$$subdir" = .; then :; else \
446             test ! -f $$subdir/TAGS || \
447               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
448           fi; \
449         done; \
450         $(am__define_uniq_tagged_files); \
451         shift; \
452         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
453           test -n "$$unique" || unique=$$empty_fix; \
454           if test $$# -gt 0; then \
455             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
456               "$$@" $$unique; \
457           else \
458             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
459               $$unique; \
460           fi; \
461         fi
462 ctags: ctags-recursive
463
464 CTAGS: ctags
465 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
466         $(am__define_uniq_tagged_files); \
467         test -z "$(CTAGS_ARGS)$$unique" \
468           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
469              $$unique
470
471 GTAGS:
472         here=`$(am__cd) $(top_builddir) && pwd` \
473           && $(am__cd) $(top_srcdir) \
474           && gtags -i $(GTAGS_ARGS) "$$here"
475 cscope: cscope.files
476         test ! -s cscope.files \
477           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
478 clean-cscope:
479         -rm -f cscope.files
480 cscope.files: clean-cscope cscopelist
481 cscopelist: cscopelist-recursive
482
483 cscopelist-am: $(am__tagged_files)
484         list='$(am__tagged_files)'; \
485         case "$(srcdir)" in \
486           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
487           *) sdir=$(subdir)/$(srcdir) ;; \
488         esac; \
489         for i in $$list; do \
490           if test -f "$$i"; then \
491             echo "$(subdir)/$$i"; \
492           else \
493             echo "$$sdir/$$i"; \
494           fi; \
495         done >> $(top_builddir)/cscope.files
496
497 distclean-tags:
498         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
499         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
500
501 distdir: $(DISTFILES)
502         $(am__remove_distdir)
503         test -d "$(distdir)" || mkdir "$(distdir)"
504         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
505         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
506         list='$(DISTFILES)'; \
507           dist_files=`for file in $$list; do echo $$file; done | \
508           sed -e "s|^$$srcdirstrip/||;t" \
509               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
510         case $$dist_files in \
511           */*) $(MKDIR_P) `echo "$$dist_files" | \
512                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
513                            sort -u` ;; \
514         esac; \
515         for file in $$dist_files; do \
516           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
517           if test -d $$d/$$file; then \
518             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
519             if test -d "$(distdir)/$$file"; then \
520               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
521             fi; \
522             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
523               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
524               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
525             fi; \
526             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
527           else \
528             test -f "$(distdir)/$$file" \
529             || cp -p $$d/$$file "$(distdir)/$$file" \
530             || exit 1; \
531           fi; \
532         done
533         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
534           if test "$$subdir" = .; then :; else \
535             $(am__make_dryrun) \
536               || test -d "$(distdir)/$$subdir" \
537               || $(MKDIR_P) "$(distdir)/$$subdir" \
538               || exit 1; \
539             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
540             $(am__relativize); \
541             new_distdir=$$reldir; \
542             dir1=$$subdir; dir2="$(top_distdir)"; \
543             $(am__relativize); \
544             new_top_distdir=$$reldir; \
545             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
546             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
547             ($(am__cd) $$subdir && \
548               $(MAKE) $(AM_MAKEFLAGS) \
549                 top_distdir="$$new_top_distdir" \
550                 distdir="$$new_distdir" \
551                 am__remove_distdir=: \
552                 am__skip_length_check=: \
553                 am__skip_mode_fix=: \
554                 distdir) \
555               || exit 1; \
556           fi; \
557         done
558         -test -n "$(am__skip_mode_fix)" \
559         || find "$(distdir)" -type d ! -perm -755 \
560                 -exec chmod u+rwx,go+rx {} \; -o \
561           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
562           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
563           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
564         || chmod -R a+r "$(distdir)"
565 dist-gzip: distdir
566         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
567         $(am__post_remove_distdir)
568
569 dist-bzip2: distdir
570         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
571         $(am__post_remove_distdir)
572
573 dist-lzip: distdir
574         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
575         $(am__post_remove_distdir)
576
577 dist-xz: distdir
578         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
579         $(am__post_remove_distdir)
580
581 dist-tarZ: distdir
582         @echo WARNING: "Support for distribution archives compressed with" \
583                        "legacy program 'compress' is deprecated." >&2
584         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
585         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
586         $(am__post_remove_distdir)
587
588 dist-shar: distdir
589         @echo WARNING: "Support for shar distribution archives is" \
590                        "deprecated." >&2
591         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
592         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
593         $(am__post_remove_distdir)
594
595 dist-zip: distdir
596         -rm -f $(distdir).zip
597         zip -rq $(distdir).zip $(distdir)
598         $(am__post_remove_distdir)
599
600 dist dist-all:
601         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
602         $(am__post_remove_distdir)
603
604 # This target untars the dist file and tries a VPATH configuration.  Then
605 # it guarantees that the distribution is self-contained by making another
606 # tarfile.
607 distcheck: dist
608         case '$(DIST_ARCHIVES)' in \
609         *.tar.gz*) \
610           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
611         *.tar.bz2*) \
612           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
613         *.tar.lz*) \
614           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
615         *.tar.xz*) \
616           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
617         *.tar.Z*) \
618           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
619         *.shar.gz*) \
620           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
621         *.zip*) \
622           unzip $(distdir).zip ;;\
623         esac
624         chmod -R a-w $(distdir)
625         chmod u+w $(distdir)
626         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
627         chmod a-w $(distdir)
628         test -d $(distdir)/_build || exit 0; \
629         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
630           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
631           && am__cwd=`pwd` \
632           && $(am__cd) $(distdir)/_build/sub \
633           && ../../configure \
634             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
635             $(DISTCHECK_CONFIGURE_FLAGS) \
636             --srcdir=../.. --prefix="$$dc_install_base" \
637           && $(MAKE) $(AM_MAKEFLAGS) \
638           && $(MAKE) $(AM_MAKEFLAGS) dvi \
639           && $(MAKE) $(AM_MAKEFLAGS) check \
640           && $(MAKE) $(AM_MAKEFLAGS) install \
641           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
642           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
643           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
644                 distuninstallcheck \
645           && chmod -R a-w "$$dc_install_base" \
646           && ({ \
647                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
648                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
649                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
650                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
651                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
652               } || { rm -rf "$$dc_destdir"; exit 1; }) \
653           && rm -rf "$$dc_destdir" \
654           && $(MAKE) $(AM_MAKEFLAGS) dist \
655           && rm -rf $(DIST_ARCHIVES) \
656           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
657           && cd "$$am__cwd" \
658           || exit 1
659         $(am__post_remove_distdir)
660         @(echo "$(distdir) archives ready for distribution: "; \
661           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
662           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
663 distuninstallcheck:
664         @test -n '$(distuninstallcheck_dir)' || { \
665           echo 'ERROR: trying to run $@ with an empty' \
666                '$$(distuninstallcheck_dir)' >&2; \
667           exit 1; \
668         }; \
669         $(am__cd) '$(distuninstallcheck_dir)' || { \
670           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
671           exit 1; \
672         }; \
673         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
674            || { echo "ERROR: files left after uninstall:" ; \
675                 if test -n "$(DESTDIR)"; then \
676                   echo "  (check DESTDIR support)"; \
677                 fi ; \
678                 $(distuninstallcheck_listfiles) ; \
679                 exit 1; } >&2
680 distcleancheck: distclean
681         @if test '$(srcdir)' = . ; then \
682           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
683           exit 1 ; \
684         fi
685         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
686           || { echo "ERROR: files left in build directory after distclean:" ; \
687                $(distcleancheck_listfiles) ; \
688                exit 1; } >&2
689 check-am: all-am
690 check: check-recursive
691 all-am: Makefile $(DATA) config.h
692 installdirs: installdirs-recursive
693 installdirs-am:
694         for dir in "$(DESTDIR)$(docdir)"; do \
695           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
696         done
697 install: install-recursive
698 install-exec: install-exec-recursive
699 install-data: install-data-recursive
700 uninstall: uninstall-recursive
701
702 install-am: all-am
703         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
704
705 installcheck: installcheck-recursive
706 install-strip:
707         if test -z '$(STRIP)'; then \
708           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
709             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
710               install; \
711         else \
712           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
713             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
714             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
715         fi
716 mostlyclean-generic:
717
718 clean-generic:
719
720 distclean-generic:
721         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
722         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
723
724 maintainer-clean-generic:
725         @echo "This command is intended for maintainers to use"
726         @echo "it deletes files that may require special tools to rebuild."
727 clean: clean-recursive
728
729 clean-am: clean-generic mostlyclean-am
730
731 distclean: distclean-recursive
732         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
733         -rm -f Makefile
734 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
735
736 dvi: dvi-recursive
737
738 dvi-am:
739
740 html: html-recursive
741
742 html-am:
743
744 info: info-recursive
745
746 info-am:
747
748 install-data-am: install-dist_docDATA
749
750 install-dvi: install-dvi-recursive
751
752 install-dvi-am:
753
754 install-exec-am:
755
756 install-html: install-html-recursive
757
758 install-html-am:
759
760 install-info: install-info-recursive
761
762 install-info-am:
763
764 install-man:
765
766 install-pdf: install-pdf-recursive
767
768 install-pdf-am:
769
770 install-ps: install-ps-recursive
771
772 install-ps-am:
773
774 installcheck-am:
775
776 maintainer-clean: maintainer-clean-recursive
777         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
778         -rm -rf $(top_srcdir)/autom4te.cache
779         -rm -f Makefile
780 maintainer-clean-am: distclean-am maintainer-clean-generic
781
782 mostlyclean: mostlyclean-recursive
783
784 mostlyclean-am: mostlyclean-generic
785
786 pdf: pdf-recursive
787
788 pdf-am:
789
790 ps: ps-recursive
791
792 ps-am:
793
794 uninstall-am: uninstall-dist_docDATA
795
796 .MAKE: $(am__recursive_targets) all install-am install-strip
797
798 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
799         am--refresh check check-am clean clean-cscope clean-generic \
800         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
801         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
802         distcheck distclean distclean-generic distclean-hdr \
803         distclean-tags distcleancheck distdir distuninstallcheck dvi \
804         dvi-am html html-am info info-am install install-am \
805         install-data install-data-am install-dist_docDATA install-dvi \
806         install-dvi-am install-exec install-exec-am install-html \
807         install-html-am install-info install-info-am install-man \
808         install-pdf install-pdf-am install-ps install-ps-am \
809         install-strip installcheck installcheck-am installdirs \
810         installdirs-am maintainer-clean maintainer-clean-generic \
811         mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
812         tags-am uninstall uninstall-am uninstall-dist_docDATA
813
814 .PRECIOUS: Makefile
815
816
817 # Tell versions [3.59,3.63) of GNU make to not export all variables.
818 # Otherwise a system limit (for SysV at least) may be exceeded.
819 .NOEXPORT: